# $Revision: 1.10 $, $Date: 2002/10/23 14:55:42 $
Summary:	Little CMS - a library to transform between colour profiles
Summary(pl):	Little CMS - biblioteka do konwersji midzy profilami kolorw
Name:		lcms
Version:	1.08
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.littlecms.com/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefiles.patch
Patch1:		%{name}-qt3.patch
URL:		http://www.littlecms.com/
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# There is no pretty description in source archive... use these.

%description
lcms does not allow to write profiles, and profile manipulation is not
its goal. Instead, lcms focus on implement fast transforms between
profiles.

%description -l pl
lcms nie pozwala na tworzenie profili i obrbka profili nie jest celem
tej biblioteki. Natomiast lcms skupia si na implementacji szybkiej
konwersji midzy profilami.

%package devel
Summary:	Little CMS - header files and developer's documentation
Summary(pl):	Little CMS - pliki nagwkowe i dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files needed to compile programs with liblcms and some
documentation useful for programmers.

%description devel -l pl
Pliki nagwkowe potrzebne do linkowana z liblcms oraz dokumentacja
dla programistw.

%package static
Summary:	Little CMS - static library
Summary(pl):	Little CMS - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of liblcms.

%description static -l pl
Statyczna biblioteka liblcms.

%package progs
Summary:	Example and demonstration programs for Little CMS
Summary(pl):	Programy przykadowe i demonstracyjne do Little CMS
Group:		Applications/Graphics
Requires:	%{name} = %{version}

%description progs
Example and demonstration programs for Little CMS.

%description progs -l pl
Programy przykadowe i demonstracyjne do Little CMS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} all tifficc \
	OPTFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install samples/{icctrans,wtpt} tifficc/tifficc $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lcms.spec,v $
Revision 1.10  2002/10/23 14:55:42  qboosh
- qt3 patch: fix conflict with qt3 which defines HANDLE in namespace other than ::
- release 2, STBR

Revision 1.9  2002/06/26 19:58:30  qboosh
- use libtool to generate correct shared library (with SONAME and PIC);
  makefiles patch is back
- added progs package (BR: libjpeg, libtiff, zlib for tifficc)
- release 1

Revision 1.8  2002/06/26 14:21:17  ankry
- updated to 1.08
- without libtool support at the moment; release 0.1

Revision 1.7  2002/06/26 05:29:35  kloczek
- use new %%doc.

Revision 1.6  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/22 23:47:14  kloczek
- adapterized.

Revision 1.3  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.2  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/03/19 00:01:36  qboosh
- from scratch
maybe TODO: translate assembler parts to gcc's one
